/*
 *      SipO specific stuff
 *
 *      Copyright 2001 SSH Communications Security Corp, All Rights Reserved.
 *                              http://www.ssh.com
 *
 *      14.2.2001 Arto Vuori <avuori@ssh.com>
 *              Initial version
 *
 */
#include <linux/module.h>
#include <linux/config.h>
#include <linux/types.h>
#include <linux/kernel.h>
#include <linux/fs.h>
#include <linux/mm.h>
#include <linux/miscdevice.h>
#include <linux/reboot.h>
#include <linux/smp_lock.h>
#include <linux/init.h>
#include <linux/proc_fs.h>
#include <asm/io.h>
#include <asm/system.h>
#include <asm/uaccess.h>
#include <asm/delay.h>
#include <asm/sipo.h>

#include <asm/immap_8260.h>
#include <asm/cpm_8260.h>
#include <asm/machdep.h>
#include <asm/mpc8260.h>

void sipo_init(void)
{
	/* Create /proc/sipo */
	proc_sipo_init();

	if(flash_init()) {
		printk("Unable to initialize FLASH device\n");
		return;
	}
}
