/*-----------------------------------------------------------------------------                         
*
* File:  netcomm.h
*
* Description:  
*
*       This file contains all general data definitions for software shared by the 
*       Netcomm software group.
*
* History:
*
* 9/23/97    jay        Initial version.
* 
*-----------------------------------------------------------------------------*/


/********************************************************************/
/*                 GENERAL CONSTANTS AND DEFINITIONS                                 */
/********************************************************************/

#define TRUE    1
#define FALSE   0
#define ON              1
#define OFF             0

/*------------------------*/
/* Fundamental Data Types */
/*------------------------*/

typedef char                    BYTE;
typedef  unsigned char  UBYTE;  
typedef short                   HWORD;  
typedef unsigned short  UHWORD; 
typedef long                    WORD;   
typedef  unsigned long  UWORD;  
typedef  unsigned char  BOOL;   


typedef volatile char                   VBYTE;
typedef  volatile unsigned char         VUBYTE; 
typedef volatile short                  VHWORD; 
typedef volatile unsigned short VUHWORD;        
typedef volatile long                   VWORD;  
typedef  volatile unsigned long         VUWORD; 
typedef  volatile unsigned char         VBOOL;

